/* Tabela SERVICO: Servico */
/* Descrio: A trigger insere registros na tabela LOGOPERA a partir de alteraes na tabela SERVICO */
/* Objetivo: Gerar um log que vai registrar as alteraes na tabela Servico,
             utilizando a tabela Geral de Logs de Operaes */
CREATE OR REPLACE TRIGGER LOG_PLA_SERVICO
AFTER DELETE OR INSERT OR UPDATE
ON SERVICO FOR EACH ROW
DECLARE
  V_USUARIO    VARCHAR2(40);
  V_TIPO       VARCHAR2(1);
  V_ITPESQ     VARCHAR2(40);
  V_DESC       VARCHAR2(500);
  V_DTOPER     DATE;
  V_DSIP       VARCHAR2(50);
  V_DSUSUARIO  VARCHAR2(50);
  V_DSRDM      VARCHAR2(50);
  V_DSMETODO   VARCHAR2(250);
  V_DSOPERADOR VARCHAR2(12);
  V_CDARVPROD  VARCHAR2(20);
  V_MODIFICOU  INTEGER;
BEGIN
   V_TIPO      := '0';
   V_DESC      := '';
   V_MODIFICOU := 0;
   IF (NVL(:OLD.QTCOMESTISEG, -1) <> NVL(:NEW.QTCOMESTISEG, -1)) OR
      (NVL(:OLD.QTCOMESTITER, -1) <> NVL(:NEW.QTCOMESTITER, -1)) OR
      (NVL(:OLD.QTCOMESTIQUA, -1) <> NVL(:NEW.QTCOMESTIQUA, -1)) OR
      (NVL(:OLD.QTCOMESTIQUI, -1) <> NVL(:NEW.QTCOMESTIQUI, -1)) OR
      (NVL(:OLD.QTCOMESTISEX, -1) <> NVL(:NEW.QTCOMESTISEX, -1)) OR
      (NVL(:OLD.QTCOMESTISAB, -1) <> NVL(:NEW.QTCOMESTISAB, -1)) OR
      (NVL(:OLD.QTCOMESTIDOM, -1) <> NVL(:NEW.QTCOMESTIDOM, -1)) OR
      (NVL(:OLD.QTCOMESTIFER, -1) <> NVL(:NEW.QTCOMESTIFER, -1)) OR
      (NVL(:OLD.QTCLIESTISEG, -1) <> NVL(:NEW.QTCLIESTISEG, -1)) OR
      (NVL(:OLD.QTCLIESTITER, -1) <> NVL(:NEW.QTCLIESTITER, -1)) OR
      (NVL(:OLD.QTCLIESTIQUA, -1) <> NVL(:NEW.QTCLIESTIQUA, -1)) OR
      (NVL(:OLD.QTCLIESTIQUI, -1) <> NVL(:NEW.QTCLIESTIQUI, -1)) OR
      (NVL(:OLD.QTCLIESTISEX, -1) <> NVL(:NEW.QTCLIESTISEX, -1)) OR
      (NVL(:OLD.QTCLIESTISAB, -1) <> NVL(:NEW.QTCLIESTISAB, -1)) OR
      (NVL(:OLD.QTCLIESTIDOM, -1) <> NVL(:NEW.QTCLIESTIDOM, -1)) OR
      (NVL(:OLD.QTCLIESTIFER, -1) <> NVL(:NEW.QTCLIESTIFER, -1)) OR
      (NVL(:OLD.QTFUNESTISEG, -1) <> NVL(:NEW.QTFUNESTISEG, -1)) OR
      (NVL(:OLD.QTFUNESTITER, -1) <> NVL(:NEW.QTFUNESTITER, -1)) OR
      (NVL(:OLD.QTFUNESTIQUA, -1) <> NVL(:NEW.QTFUNESTIQUA, -1)) OR
      (NVL(:OLD.QTFUNESTIQUI, -1) <> NVL(:NEW.QTFUNESTIQUI, -1)) OR
      (NVL(:OLD.QTFUNESTISEX, -1) <> NVL(:NEW.QTFUNESTISEX, -1)) OR
      (NVL(:OLD.QTFUNESTISAB, -1) <> NVL(:NEW.QTFUNESTISAB, -1)) OR
      (NVL(:OLD.QTFUNESTIDOM, -1) <> NVL(:NEW.QTFUNESTIDOM, -1)) OR
      (NVL(:OLD.QTFUNESTIFER, -1) <> NVL(:NEW.QTFUNESTIFER, -1)) OR
      (NVL(:OLD.QTDOAESTISEG, -1) <> NVL(:NEW.QTDOAESTISEG, -1)) OR
      (NVL(:OLD.QTDOAESTITER, -1) <> NVL(:NEW.QTDOAESTITER, -1)) OR
      (NVL(:OLD.QTDOAESTIQUA, -1) <> NVL(:NEW.QTDOAESTIQUA, -1)) OR
      (NVL(:OLD.QTDOAESTIQUI, -1) <> NVL(:NEW.QTDOAESTIQUI, -1)) OR
      (NVL(:OLD.QTDOAESTISEX, -1) <> NVL(:NEW.QTDOAESTISEX, -1)) OR
      (NVL(:OLD.QTDOAESTISAB, -1) <> NVL(:NEW.QTDOAESTISAB, -1)) OR
      (NVL(:OLD.QTDOAESTIDOM, -1) <> NVL(:NEW.QTDOAESTIDOM, -1)) OR
      (NVL(:OLD.QTDOAESTIFER, -1) <> NVL(:NEW.QTDOAESTIFER, -1)) THEN
      V_MODIFICOU := 1;
   END IF;
   WEBTUNNING(V_DSIP,
              V_DSUSUARIO,
              V_DSRDM,
              V_DSMETODO,
              V_DSOPERADOR);
   IF DELETING THEN
      V_DESC := V_DESC || 'Fili='  || :OLD.CDFILIAL;
      V_DESC := V_DESC || ' Serv=' || :OLD.CDSERVFILI;
      V_DESC := V_DESC || ' Nome=' || :OLD.NMSERVICO;
      V_DESC := V_DESC || ' Rdm='      || V_DSRDM;
      V_DESC := V_DESC || ' Mtodo='   || V_DSMETODO;
      V_DESC := V_DESC || ' Ip='       || V_DSIP;
      V_DESC := V_DESC || ' Usurio='  || V_DSUSUARIO;
      V_DESC := V_DESC || ' Operador=' || V_DSOPERADOR;
      V_DESC := V_DESC || ' ServFatur=' ||:OLD.IDFATUSERV;
      V_TIPO := '3';
      V_ITPESQ := :OLD.CDFILIAL||:OLD.CDSERVFILI;
   ELSE
      IF UPDATING THEN
         IF (:OLD.CDFILIAL   <> :NEW.CDFILIAL  ) OR
            (:OLD.CDSERVFILI <> :NEW.CDSERVFILI) OR
            (:OLD.NMSERVICO  <> :NEW.NMSERVICO ) OR
            (NVL(:OLD.CDROTATRANS,    '') <> NVL(:NEW.CDROTATRANS,    '')) OR
            (NVL(:OLD.IDTPSERVHOSP,   '') <> NVL(:NEW.IDTPSERVHOSP,   '')) OR
            (NVL(:OLD.CDGRUPSERV,     '') <> NVL(:NEW.CDGRUPSERV,     '')) OR
            (NVL(:OLD.HRINICATEN,     '') <> NVL(:NEW.HRINICATEN,     '')) OR
            (NVL(:OLD.HRINICSERV,     '') <> NVL(:NEW.HRINICSERV,     '')) OR
            (NVL(:OLD.HRFINASERV,     '') <> NVL(:NEW.HRFINASERV,     '')) OR
            (NVL(:OLD.IDTIPOSERV,     '') <> NVL(:NEW.IDTIPOSERV,     '')) OR
            (NVL(:OLD.IDCONSSERVCA,   '') <> NVL(:NEW.IDCONSSERVCA,   '')) OR
            (NVL(:OLD.IDSERVPRINC,    '') <> NVL(:NEW.IDSERVPRINC,    '')) OR
            (NVL(:OLD.IDUTRETIPRAT,   '') <> NVL(:NEW.IDUTRETIPRAT,   '')) OR
            (NVL(:OLD.IDSERVTRAN,     '') <> NVL(:NEW.IDSERVTRAN,     '')) OR
            (NVL(:OLD.CDSERPADDIE,    '') <> NVL(:NEW.CDSERPADDIE,    '')) OR
            (NVL(:OLD.CDPRODUTO,      '') <> NVL(:NEW.CDPRODUTO,      '')) OR
            (NVL(:OLD.VRPESOCUSTO,    '') <> NVL(:NEW.VRPESOCUSTO,    '')) OR
            (NVL(:OLD.IDSERVATIV,     '') <> NVL(:NEW.IDSERVATIV,     '')) OR
            (NVL(:OLD.IDBLOQALTPRA,   '') <> NVL(:NEW.IDBLOQALTPRA,   '')) OR
            (NVL(:OLD.IDFATUSERV,     '') <> NVL(:NEW.IDFATUSERV,     '')) OR
            (NVL(:OLD.IDCARDDESCENTR, '') <> NVL(:NEW.IDCARDDESCENTR, '')) OR
            (NVL(:OLD.IDBLOQCONFIXPER, '') <> NVL(:NEW.IDBLOQCONFIXPER, '')) OR
            (V_MODIFICOU = 1) THEN
            V_TIPO   := '2';
            V_ITPESQ := :OLD.CDFILIAL||:OLD.CDSERVFILI;

         END IF;
      ELSE
         V_TIPO   := '1';
         V_ITPESQ := :NEW.CDFILIAL||:NEW.CDSERVFILI;
      END IF;
      IF UPDATING THEN
         IF (:OLD.CDFILIAL <> :NEW.CDFILIAL) THEN
            V_DESC := V_DESC || 'Fili=' || :OLD.CDFILIAL || '|' || :NEW.CDFILIAL;
         ELSE
            V_DESC := V_DESC || 'Fili=' || :OLD.CDFILIAL;
         END IF;
      ELSE
         V_DESC := V_DESC || 'Fili=' || :NEW.CDFILIAL;
      END IF;
      IF UPDATING THEN
         IF (:OLD.CDSERVFILI <> :NEW.CDSERVFILI) THEN
            V_DESC := V_DESC || ' Serv=' || :OLD.CDSERVFILI || '|' || :NEW.CDSERVFILI;
         ELSE
            V_DESC := V_DESC || ' Serv=' || :OLD.CDSERVFILI;
         END IF;
      ELSE
         V_DESC := V_DESC || ' Serv=' || :NEW.CDSERVFILI;
      END IF;
      IF UPDATING THEN
         IF (:OLD.NMSERVICO <> :NEW.NMSERVICO) THEN
            V_DESC := V_DESC || ' Nome=' || :OLD.NMSERVICO || '|' || :NEW.NMSERVICO;
         ELSE
            V_DESC := V_DESC || ' Nome=' || :OLD.NMSERVICO;
         END IF;
      ELSE
         V_DESC := V_DESC || ' Nome=' || :NEW.NMSERVICO;
      END IF;
      IF (NVL(:NEW.CDROTATRANS, '') <> '') OR (UPDATING AND (NVL(:NEW.CDROTATRANS, '') = '')) THEN
         IF UPDATING THEN
            IF (NVL(:OLD.CDROTATRANS, '') <> NVL(:NEW.CDROTATRANS, '')) THEN
               V_DESC := V_DESC || ' Rota=' || :OLD.CDROTATRANS || '|' || :NEW.CDROTATRANS;
            END IF;
         ELSE
            V_DESC := V_DESC || ' Rota=' || :NEW.CDROTATRANS;
         END IF;
      END IF;
      IF (NVL(:NEW.IDTPSERVHOSP, '') <> '') OR (UPDATING AND (NVL(:NEW.IDTPSERVHOSP, '') = '')) THEN
         IF UPDATING THEN
            IF (NVL(:OLD.IDTPSERVHOSP, '') <> NVL(:NEW.IDTPSERVHOSP, '')) THEN
               V_DESC := V_DESC || ' Espec=' || :OLD.IDTPSERVHOSP || '|' || :NEW.IDTPSERVHOSP;
            END IF;
         ELSE
            V_DESC := V_DESC || ' Espec=' || :NEW.IDTPSERVHOSP;
         END IF;
      END IF;
      IF (NVL(:NEW.CDGRUPSERV, '') <> '') OR (UPDATING AND (NVL(:NEW.CDGRUPSERV, '') = '')) THEN
         IF UPDATING THEN
            IF (NVL(:OLD.CDGRUPSERV, '') <> NVL(:NEW.CDGRUPSERV, '')) THEN
               V_DESC := V_DESC || ' Grupo=' || :OLD.CDGRUPSERV || '|' || :NEW.CDGRUPSERV;
            END IF;
         ELSE
            V_DESC := V_DESC || ' Grupo=' || :NEW.CDGRUPSERV;
         END IF;
      END IF;
      IF (NVL(:NEW.HRINICATEN, '') <> '') OR (UPDATING AND (NVL(:NEW.HRINICATEN, '') = '')) THEN
         IF UPDATING THEN
            IF (NVL(:OLD.HRINICATEN, '') <> NVL(:NEW.HRINICATEN, '')) THEN
               V_DESC := V_DESC || ' Prep=' || SUBSTR(:OLD.HRINICATEN, 1, 2) || ':' || SUBSTR(:OLD.HRINICATEN, 3, 2)
                                            || '|' || SUBSTR(:NEW.HRINICATEN, 1, 2) || ':' || SUBSTR(:NEW.HRINICATEN, 3, 2);
            END IF;
         ELSE
            V_DESC := V_DESC || ' Prep=' || SUBSTR(:NEW.HRINICATEN, 1, 2) || ':' || SUBSTR(:NEW.HRINICATEN, 3, 2);
         END IF;
      END IF;
      IF ((NVL(:NEW.HRINICSERV, '') <> '') OR (NVL(:NEW.HRFINASERV, '') <> '')) OR
         (UPDATING AND ((NVL(:NEW.HRINICSERV, '') = '') OR (NVL(:NEW.HRFINASERV, '') = ''))) THEN
         IF UPDATING THEN
            IF (NVL(:OLD.HRINICSERV, '') <> NVL(:NEW.HRINICSERV, '')) THEN
               V_DESC := V_DESC || ' Servido=' || SUBSTR(:OLD.HRINICSERV, 1, 2) || ':' || SUBSTR(:OLD.HRINICSERV, 3, 2)
                                               || '|' || SUBSTR(:NEW.HRINICSERV, 1, 2) || ':' || SUBSTR(:NEW.HRINICSERV, 3, 2) || ' - ';
            ELSE
               IF (NVL(:OLD.HRFINASERV, '') <> NVL(:NEW.HRFINASERV, '')) THEN
                  V_DESC := V_DESC || ' Servido=' || SUBSTR(:OLD.HRINICSERV, 1, 2) || ':' || SUBSTR(:OLD.HRINICSERV, 3, 2) || ' - ';
               END IF;
            END IF;
            IF (NVL(:OLD.HRFINASERV, '') <> NVL(:NEW.HRFINASERV, '')) THEN
               V_DESC := V_DESC || SUBSTR(:OLD.HRFINASERV, 1, 2) || ':' || SUBSTR(:OLD.HRFINASERV, 3, 2)
                                || '|' || SUBSTR(:NEW.HRFINASERV, 1, 2) || ':' || SUBSTR(:NEW.HRFINASERV, 3, 2);
            ELSE
               IF (NVL(:OLD.HRINICSERV, '') <> NVL(:NEW.HRINICSERV, '')) THEN
                  V_DESC := V_DESC || SUBSTR(:OLD.HRFINASERV, 1, 2) || ':' || SUBSTR(:OLD.HRFINASERV, 3, 2);
               END IF;
            END IF;
         ELSE
            V_DESC := V_DESC || ' Servido=' || SUBSTR(:NEW.HRINICSERV, 1, 2) || ':' || SUBSTR(:NEW.HRINICSERV, 3, 2) || ' - ' ||
                                               SUBSTR(:NEW.HRFINASERV, 1, 2) || ':' || SUBSTR(:NEW.HRFINASERV, 3, 2);
         END IF;
      END IF;
      IF (NVL(:NEW.IDSERVATIV, '') <> '') OR (UPDATING AND (NVL(:NEW.IDSERVATIV, '') = '')) THEN
         IF UPDATING THEN
            IF (NVL(:OLD.IDSERVATIV, '') <> NVL(:NEW.IDSERVATIV, '')) THEN
               V_DESC := V_DESC || ' HabReqRet=' || :OLD.IDSERVATIV || '|' || :NEW.IDSERVATIV;
            END IF;
         ELSE
            V_DESC := V_DESC || ' HabReqRet=' || :NEW.IDSERVATIV;
         END IF;
      END IF;
      IF (NVL(:NEW.IDTIPOSERV, '') <> '') OR (UPDATING AND (NVL(:NEW.IDTIPOSERV, '') = '')) THEN
         IF UPDATING THEN
            IF (NVL(:OLD.IDTIPOSERV, '') <> NVL(:NEW.IDTIPOSERV, '')) THEN
               V_DESC := V_DESC || ' Tipo=' || :OLD.IDTIPOSERV || '|' || :NEW.IDTIPOSERV;
            END IF;
         ELSE
            V_DESC := V_DESC || ' Tipo=' || :NEW.IDTIPOSERV;
         END IF;
      END IF;
      IF (NVL(:NEW.IDCONSSERVCA, '') <> '') OR (UPDATING AND (NVL(:NEW.IDCONSSERVCA, '') = '')) THEN
         IF UPDATING THEN
            IF (NVL(:OLD.IDCONSSERVCA, '') <> NVL(:NEW.IDCONSSERVCA, '')) THEN
               V_DESC := V_DESC || ' ConsServ=' || :OLD.IDCONSSERVCA || '|' || :NEW.IDCONSSERVCA;
            END IF;
         ELSE
            V_DESC := V_DESC || ' ConsServ=' || :NEW.IDCONSSERVCA;
         END IF;
      END IF;
      IF (NVL(:NEW.IDSERVPRINC, '') <> '') OR (UPDATING AND (NVL(:NEW.IDSERVPRINC, '') = '')) THEN
         IF UPDATING THEN
            IF (NVL(:OLD.IDSERVPRINC, '') <> NVL(:NEW.IDSERVPRINC, '')) THEN
               V_DESC := V_DESC || ' Princ=' || :OLD.IDSERVPRINC || '|' || :NEW.IDSERVPRINC;
            END IF;
         ELSE
            V_DESC := V_DESC || ' Princ=' || :NEW.IDSERVPRINC;
         END IF;
      END IF;
      IF (NVL(:NEW.IDUTRETIPRAT, '') <> '') OR (UPDATING AND (NVL(:NEW.IDUTRETIPRAT, '') = '')) THEN
         IF UPDATING THEN
            IF (NVL(:OLD.IDUTRETIPRAT, '') <> NVL(:NEW.IDUTRETIPRAT, '')) THEN
               V_DESC := V_DESC || ' RetPrat=' || :OLD.IDUTRETIPRAT || '|' || :NEW.IDUTRETIPRAT;
            END IF;
         ELSE
            V_DESC := V_DESC || ' RetPrat=' || :NEW.IDUTRETIPRAT;
         END IF;
      END IF;
      IF (NVL(:NEW.IDBLOQALTPRA, '') <> '') OR (UPDATING AND (NVL(:NEW.IDBLOQALTPRA, '') = '')) THEN
         IF UPDATING THEN
            IF (NVL(:OLD.IDBLOQALTPRA, '') <> NVL(:NEW.IDBLOQALTPRA, '')) THEN
               V_DESC := V_DESC || ' BloqAlt=' || :OLD.IDBLOQALTPRA || '|' || :NEW.IDBLOQALTPRA;
            END IF;
         ELSE
            V_DESC := V_DESC || ' BloqAlt=' || :NEW.IDBLOQALTPRA;
         END IF;
      END IF;
      IF (NVL(:NEW.IDSERVTRAN, '') <> '') OR (UPDATING AND (NVL(:NEW.IDSERVTRAN, '') = '')) THEN
         IF UPDATING THEN
            IF (NVL(:OLD.IDSERVTRAN, '') <> NVL(:NEW.IDSERVTRAN, '')) THEN
               V_DESC := V_DESC || ' Transp=' || :OLD.IDSERVTRAN || '|' || :NEW.IDSERVTRAN;
            END IF;
         ELSE
            V_DESC := V_DESC || ' Transp=' || :NEW.IDSERVTRAN;
         END IF;
      END IF;
      IF (NVL(:NEW.CDSERPADDIE, '') <> '') OR (UPDATING AND (NVL(:NEW.CDSERPADDIE, '') = '')) THEN
         IF UPDATING THEN
            IF (NVL(:OLD.CDSERPADDIE, '') <> NVL(:NEW.CDSERPADDIE, '')) THEN
               V_DESC := V_DESC || ' PadInter=' || :OLD.CDSERPADDIE || '|' || :NEW.CDSERPADDIE;
            END IF;
         ELSE
            V_DESC := V_DESC || ' PadInter=' || :NEW.CDSERPADDIE;
         END IF;
      END IF;
      IF (NVL(:NEW.CDPRODUTO, '') <> '') OR (UPDATING AND (NVL(:NEW.CDPRODUTO, '') = '')) THEN
         IF UPDATING THEN
            IF (NVL(:OLD.CDPRODUTO, '') <> NVL(:NEW.CDPRODUTO, '')) THEN
               V_CDARVPROD := ' ';
               IF NVL(:OLD.CDPRODUTO, '') <> '' THEN
                  SELECT CDARVPROD INTO V_CDARVPROD FROM PRODUTO WHERE CDPRODUTO = :OLD.CDPRODUTO;
               END IF;
               V_DESC := V_DESC || ' Prod=' || V_CDARVPROD;
               V_CDARVPROD := ' ';
               IF NVL(:NEW.CDPRODUTO, '') <> '' THEN
                  SELECT CDARVPROD INTO V_CDARVPROD FROM PRODUTO WHERE CDPRODUTO = :NEW.CDPRODUTO;
               END IF;
               V_DESC := V_DESC || '|' || V_CDARVPROD;
            END IF;
         ELSE
            SELECT CDARVPROD INTO V_CDARVPROD FROM PRODUTO WHERE CDPRODUTO = :NEW.CDPRODUTO;
            V_DESC := V_DESC || ' Prod=' || V_CDARVPROD;
         END IF;
      END IF;
      IF (NVL(:NEW.VRPESOCUSTO, '') <> '') OR (UPDATING AND (NVL(:NEW.VRPESOCUSTO, '') = '')) THEN
         IF UPDATING THEN
            IF (NVL(:OLD.VRPESOCUSTO, '') <> NVL(:NEW.VRPESOCUSTO, '')) THEN
               V_DESC := V_DESC || ' Custo=' || :OLD.VRPESOCUSTO || '|' || :NEW.VRPESOCUSTO;
            END IF;
         ELSE
            V_DESC := V_DESC || ' Custo=' || :NEW.VRPESOCUSTO;
         END IF;
      END IF;

      IF UPDATING THEN   
         IF (NVL(:OLD.IDFATUSERV, '') <> NVL(:NEW.IDFATUSERV, '')) THEN
            V_DESC := V_DESC || ' ServFatur=' || :OLD.IDFATUSERV || '|' || :NEW.IDFATUSERV;
         END IF;
      ELSE
         V_DESC := V_DESC || ' ServFatur=' || :NEW.IDFATUSERV;
      END IF;

      IF UPDATING THEN
         IF (NVL(:OLD.IDCARDDESCENTR, '') <> NVL(:NEW.IDCARDDESCENTR, '')) THEN
            V_DESC := V_DESC || ' CardDescentral=' || :OLD.IDCARDDESCENTR || '|' || :NEW.IDCARDDESCENTR;
         END IF;
      ELSE
         V_DESC := V_DESC || ' CardDescentral=' || :NEW.IDCARDDESCENTR;
      END IF;

      IF UPDATING THEN
         IF (NVL(:OLD.IDBLOQCONFIXPER, '') <> NVL(:NEW.IDBLOQCONFIXPER, '')) THEN
            V_DESC := V_DESC || ' BloqFixPer=' || :OLD.IDBLOQCONFIXPER || '|' || :NEW.IDBLOQCONFIXPER;
         END IF;
      ELSE
         V_DESC := V_DESC || ' BloqFixPer=' || :NEW.IDBLOQCONFIXPER;
      END IF;

      IF V_MODIFICOU = 1 THEN
         V_DESC := V_DESC || ' (Comensais Estimados alterado) ';
      END IF;
      V_DESC := V_DESC || ' Rdm='      || V_DSRDM;
      V_DESC := V_DESC || ' Mtodo='   || V_DSMETODO;
      V_DESC := V_DESC || ' Ip='       || V_DSIP;
      V_DESC := V_DESC || ' Usurio='  || V_DSUSUARIO;
      V_DESC := V_DESC || ' Operador=' || V_DSOPERADOR;
   END IF;

   IF V_TIPO <> '0' THEN
      NMUSUARIO(V_USUARIO);
      IF NOT V_DESC IS NULL THEN
         IF NOT V_USUARIO IS NULL THEN
            V_DTOPER := SYSDATE;

            INSERT INTO LOGOPERA
               (NMTABELA,   DTOPERACAO, NMRESPOPER, IDTIPOOPER, CDPESQITEM, DSOPERACAO,
                DSRDMUSUOPER, DSENDUSUOPER, DSNMUSUOPER, DSMETUSUOPER, CDORESPOPER, CDFILLOGOPER)
            VALUES
               ('SERVICO', V_DTOPER, V_USUARIO, V_TIPO, V_ITPESQ, SUBSTR(V_DESC, 1, 300),
                V_DSRDM, V_DSIP, V_DSUSUARIO, V_DSMETODO, V_DSOPERADOR, NVL(:NEW.CDFILIAL, :OLD.CDFILIAL));
         END IF;
      END IF;
   END IF;
END;
/
-- VERSAO --
BEGIN ATUVEROBJ('LOG_PLA_SERVICO','5.07.002'); END;
/

