/* Sistemas Integrados TEKNISA

Nome: 5014_FISFUNO_CTBL_PRODPRODUCAO.SQL

@C:\Web_411\Sql\End_Conv\Oracle\5014_FISFUNO_CTBL_PRODPRODUCAO.SQL

Descrio:
Funo para retornar a conta contabil dos produtos em processo.

P_CDPRODUTO       - Cdigo do produto.

PARA DEBUGAR
-- SET SERVEROUTPUT ON
-- DBMS_OUTPUT.PUT_LINE('xx');

Criao:
02/08/2008 - Fabrcio Marcelo da Silva
*/

CREATE OR REPLACE FUNCTION CTBL_PRODPRODUCAO
   (P_CDPRODUTO  IN PRODUTO.CDPRODUTO%TYPE) RETURN VARCHAR
AS
   V_CDCTBLPRODPR   VARCHAR2(20);
   V_CDARVPROD      VARCHAR2(20);
BEGIN
   V_CDCTBLPRODPR := NULL;
   V_CDARVPROD    := NULL;

   BEGIN
      SELECT CDARVPROD
        INTO V_CDARVPROD
        FROM PRODUTO
       WHERE CDPRODUTO = P_CDPRODUTO;
   EXCEPTION
      WHEN NO_DATA_FOUND THEN
         V_CDARVPROD := NULL;
   END;

   BEGIN
      SELECT PR.CDCTBLPRODPR
        INTO V_CDCTBLPRODPR
        FROM PRODUTO PR,
             (SELECT MAX(CDARVPROD) AS CDARVPROD
                FROM PRODUTO C
               WHERE (INSTR(V_CDARVPROD,RTRIM(C.CDARVPROD)) = 1)
                 AND NOT CDCTBLPRODPR IS NULL) P
       WHERE PR.CDARVPROD = P.CDARVPROD;
   EXCEPTION
      WHEN NO_DATA_FOUND THEN
         V_CDCTBLPRODPR := NULL;
   END;

   RETURN(V_CDCTBLPRODPR);
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('CTBL_PRODPRODUCAO','5.05.025'); END;
/
